package net.mcreator.serverlist.client.gui;

import net.minecraft.world.level.Level;
import net.minecraft.world.entity.player.Player;
import net.minecraft.world.entity.player.Inventory;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.network.chat.Component;
import net.minecraft.client.gui.screens.inventory.AbstractContainerScreen;
import net.minecraft.client.gui.components.Button;
import net.minecraft.client.gui.GuiGraphics;

import net.mcreator.serverlist.world.inventory.Page3Menu;
import net.mcreator.serverlist.network.Page3ButtonMessage;
import net.mcreator.serverlist.ServerListMod;

import java.util.HashMap;

import com.mojang.blaze3d.systems.RenderSystem;

public class Page3Screen extends AbstractContainerScreen<Page3Menu> {
	private final static HashMap<String, Object> guistate = Page3Menu.guistate;
	private final Level world;
	private final int x, y, z;
	private final Player entity;
	Button button_1;
	Button button_2;
	Button button_4;

	public Page3Screen(Page3Menu container, Inventory inventory, Component text) {
		super(container, inventory, text);
		this.world = container.world;
		this.x = container.x;
		this.y = container.y;
		this.z = container.z;
		this.entity = container.entity;
		this.imageWidth = 176;
		this.imageHeight = 166;
	}

	private static final ResourceLocation texture = new ResourceLocation("server_list:textures/screens/page_3.png");

	@Override
	public void render(GuiGraphics guiGraphics, int mouseX, int mouseY, float partialTicks) {
		this.renderBackground(guiGraphics);
		super.render(guiGraphics, mouseX, mouseY, partialTicks);
		this.renderTooltip(guiGraphics, mouseX, mouseY);
		if (mouseX > leftPos + 10 && mouseX < leftPos + 34 && mouseY > topPos + -20 && mouseY < topPos + 4)
			guiGraphics.renderTooltip(font, Component.translatable("gui.server_list.page_3.tooltip_minigames"), mouseX, mouseY);
		if (mouseX > leftPos + 15 && mouseX < leftPos + 39 && mouseY > topPos + -20 && mouseY < topPos + 4)
			guiGraphics.renderTooltip(font, Component.translatable("gui.server_list.page_3.tooltip_minigames1"), mouseX, mouseY);
		if (mouseX > leftPos + 40 && mouseX < leftPos + 64 && mouseY > topPos + -20 && mouseY < topPos + 4)
			guiGraphics.renderTooltip(font, Component.translatable("gui.server_list.page_3.tooltip_pvp"), mouseX, mouseY);
		if (mouseX > leftPos + 45 && mouseX < leftPos + 69 && mouseY > topPos + -20 && mouseY < topPos + 4)
			guiGraphics.renderTooltip(font, Component.translatable("gui.server_list.page_3.tooltip_pvp1"), mouseX, mouseY);
		if (mouseX > leftPos + 100 && mouseX < leftPos + 124 && mouseY > topPos + -20 && mouseY < topPos + 4)
			guiGraphics.renderTooltip(font, Component.translatable("gui.server_list.page_3.tooltip_other"), mouseX, mouseY);
		if (mouseX > leftPos + 105 && mouseX < leftPos + 129 && mouseY > topPos + -20 && mouseY < topPos + 4)
			guiGraphics.renderTooltip(font, Component.translatable("gui.server_list.page_3.tooltip_other1"), mouseX, mouseY);
	}

	@Override
	protected void renderBg(GuiGraphics guiGraphics, float partialTicks, int gx, int gy) {
		RenderSystem.setShaderColor(1, 1, 1, 1);
		RenderSystem.enableBlend();
		RenderSystem.defaultBlendFunc();
		guiGraphics.blit(texture, this.leftPos, this.topPos, 0, 0, this.imageWidth, this.imageHeight, this.imageWidth, this.imageHeight);
		RenderSystem.disableBlend();
	}

	@Override
	public boolean keyPressed(int key, int b, int c) {
		if (key == 256) {
			this.minecraft.player.closeContainer();
			return true;
		}
		return super.keyPressed(key, b, c);
	}

	@Override
	public void containerTick() {
		super.containerTick();
	}

	@Override
	protected void renderLabels(GuiGraphics guiGraphics, int mouseX, int mouseY) {
		guiGraphics.drawString(this.font, Component.translatable("gui.server_list.page_3.label_survival"), 10, 7, -12829636, false);
	}

	@Override
	public void onClose() {
		super.onClose();
	}

	@Override
	public void init() {
		super.init();
		button_1 = Button.builder(Component.translatable("gui.server_list.page_3.button_1"), e -> {
			if (true) {
				ServerListMod.PACKET_HANDLER.sendToServer(new Page3ButtonMessage(0, x, y, z));
				Page3ButtonMessage.handleButtonAction(entity, 0, x, y, z);
			}
		}).bounds(this.leftPos + 10, this.topPos + -20, 30, 20).build();
		guistate.put("button:button_1", button_1);
		this.addRenderableWidget(button_1);
		button_2 = Button.builder(Component.translatable("gui.server_list.page_3.button_2"), e -> {
			if (true) {
				ServerListMod.PACKET_HANDLER.sendToServer(new Page3ButtonMessage(1, x, y, z));
				Page3ButtonMessage.handleButtonAction(entity, 1, x, y, z);
			}
		}).bounds(this.leftPos + 40, this.topPos + -20, 30, 20).build();
		guistate.put("button:button_2", button_2);
		this.addRenderableWidget(button_2);
		button_4 = Button.builder(Component.translatable("gui.server_list.page_3.button_4"), e -> {
			if (true) {
				ServerListMod.PACKET_HANDLER.sendToServer(new Page3ButtonMessage(2, x, y, z));
				Page3ButtonMessage.handleButtonAction(entity, 2, x, y, z);
			}
		}).bounds(this.leftPos + 100, this.topPos + -20, 30, 20).build();
		guistate.put("button:button_4", button_4);
		this.addRenderableWidget(button_4);
	}
}
